using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ProblemC
{
    class Program
    {
        int[] m;

        string[] solves = new string[]
        {
            "1234 3",
            "1243 4",
            "1324 4",
            "1342 5",
            "1423 4",
            "1432 5",

            "2134 3",
            "2143 4",
            "2314 4",
            "2341 5",
            "2413 4",
            "2431 5",

            "3124 3",
            "3142 4",
            "3214 3",
            "3241 4",
            "3412 4",
            "3421 4",

            "4123 3",
            "4132 4",
            "4213 3",
            "4231 4",
            "4312 3",
            "4321 3",

        };

        int Solve(int[] pars)
        {
            m = pars;
            int[] srt = m.OrderBy(_ => _).ToArray();
            int[] r = new int[4];
            for (int i = 0; i < 4; i++)
                r[i] = Array.IndexOf(srt, m[i]) + 1;
            string search = string.Format("{0}{1}{2}{3}", r.Cast<object>().ToArray());
            return int.Parse(solves.Where(_ => _.StartsWith(search)).Single().Substring(4));
        }

        static void Main(string[] args)
        {
            int[] pars = Console.ReadLine().Split(new char[] { ' ' }, StringSplitOptions.RemoveEmptyEntries).Select(_ => int.Parse(_)).ToArray();

            Console.WriteLine(new Program().Solve(pars));

        }
    }
}
